Servoy JasperReports Plugin - Defect #530

Error when using virtualiser
07/17/2012 05:13 PM - McCourt Cordingley

Status: Closed Start date: 07/17/2012
Priority: Urgent Due date:

Assignee: Andrei Costache % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Browser (if web chrome, ie

client):

Description

We have a report which utilses a file virtualizer.
This was working fine before upgrading to the newest version of the plugin.

However now, we get a null pointer exception
as below

ERROR - Debug - Throwable

java.lang.NullPointerException

at net.sf.jasperreports.engine.JRPropertiesUtil.getProperty(JRPropertiesUtil.java: 143)

at net.sf.jasperreports.engine.JRPropertiesUtil.getIntegerProperty(JRPropertiesUtil.java:559)

at net.sf.jasperreports.engine.fill. JRVirtualizationContext.readObject(JRVirtualizationContext.java:376)

| have google this and found the following which looks to be the same issue

[[http:/jasperforge.org/projects/jasperreports/tracker/view.php?id=5824]]

This is a showstopper for us, any tips or workarounds would be appreciated.

History

#1 - 07/17/2012 05:17 PM - McCourt Cordingley

Just to add, in developer virtualizing to disk works without a hitch.
It only fails when being deployed from an application server

#2 - 09/04/2012 09:30 AM - Andrei Costache

- Assignee set to Andrei Costache

So this does not happen in the 3.3 version of the plugin?
Any other errors in the log?
Have you also tried this with a Servoy 6.1?

A possible workaround (though not really recommended) would be to try and upgrade to the jasperreports library version 4.7.1 (replace the existing in
the /plugins/servoy_jasperreports directory), as that's the version i see they fixed this in (from your link). But, if you try this, please be aware that other

libs in the servoy_jasperreports plugin (folder) may need to be replaced to be in sync with JR 4.7.1. Also, lib clashes may arise due to conflicting
Servoy versions of those libraries.

#3 - 11/27/2012 11:25 AM - Andrei Costache

- Status changed from New to Feedback

Please update this case providing requested details if the described problem still represents an issue.

#4 - 11/27/2012 04:57 PM - Andrei Costache
- Status changed from Feedback to Closed
- % Done changed from 0 to 100

This has just been fixed in trunk version (4.0.0 beta1) of the plugin.
http://jasperforge.org/projects/jasperreports/tracker/view.php?id=5824

It was a jasperreports issue; see the deserializing JasperPrint object with a virtualizer case for the corresponding jasper-library case and the
workaround as well.

#5 - 11/27/2012 05:07 PM - Andrei Costache

NOTE: This issue has also been experienced and reported by Harjo; it is only with the 4.0.0b1 version of the plugin - apparently it's a new either new
or already in jasperreports 4.6 (but not in jasperreports version 4.0.0) - it has been fixed in their 4.7.1 version.
